#include "defines.h"
#include "aigs.h"

void textcopy(int sx,int sy,int ex,int ey,int tx,int ty)
/* テキスト画面コピー */
{
unint c;
unint wx,wy;
	if (tx==sx && ty==sy) return; /* 実行する必要なし */
	wx=ex-sx+1;
	wy=ey-sy+1;
	
	c=curmode(0); /* カーソルＯＦＦ */
	
	if ((ty==sy && (tx>sx && tx<=ey))
	 || ((ty>sy && ty<=ey) && (tx+wx-1>=sx && tx<=ex))) {
		_rtxcopy(textadrs0(ex,ey+1)-128,textadrs0(tx+wx-1,ty+wy)-128,wx,wy);
	} else {
		_txcopy(textadrs0(sx,sy),textadrs0(tx,ty),wx,wy);
	}
	curmode(c); /* カーソルＯＮ */
}
